Package org.apache.sysds.runtime.io.cog

# Class IFDTag

java.lang.Object
org.apache.sysds.runtime.io.cog.IFDTag

public class IFDTag extends Object
Represents a single tag in the IFD of a TIFF file

## Constructor Summary

Constructors
Constructor
Description
`IFDTag(IFDTagDictionary tagId, short dataType, int dataCount, Number[] data)`

## Method Summary

Modifier and Type
Method
Description
`Number[]`
`getData()`
`int`
`getDataCount()`
`short`
`getDataType()`
`IFDTagDictionary`
`getTagId()`
`void`
`setData(Number[] data)`
`void`
`setDataCount(int dataCount)`
`void`
`setDataType(short dataType)`
`void`
`setTagId(IFDTagDictionary tagId)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IFDTag

public IFDTag(IFDTagDictionary tagId, short dataType, int dataCount, Number[] data)

## Method Details

### getTagId

public IFDTagDictionary getTagId()

### setTagId

public void setTagId(IFDTagDictionary tagId)

### getDataType

public short getDataType()

### setDataType

public void setDataType(short dataType)

### getDataCount

public int getDataCount()

### setDataCount

public void setDataCount(int dataCount)

### getData

public Number[] getData()

### setData

public void setData(Number[] data)